{% from "manila/map.jinja" import cfg with context %}

manila_ssl_rabbitmq:
  test.show_notification:
    - text: "Running manila._ssl.rabbitmq"

{%- if cfg.message_queue.get('x509',{}).get('enabled',False) %}

  {%- set ca_file=cfg.message_queue.x509.ca_file %}
  {%- set key_file=cfg.message_queue.x509.key_file %}
  {%- set cert_file=cfg.message_queue.x509.cert_file %}

rabbitmq_manila_ssl_x509_ca:
  {%- if cfg.message_queue.x509.cacert is defined %}
  file.managed:
    - name: {{ ca_file }}
    - contents_pillar: cfg.message_queue:x509:cacert
    - mode: 444
    - user: manila
    - group: manila
    - makedirs: true
  {%- else %}
  file.exists:
    - name: {{ ca_file }}
  {%- endif %}

rabbitmq_manila_client_ssl_cert:
  {%- if cfg.message_queue.x509.cert is defined %}
  file.managed:
    - name: {{ cert_file }}
    - contents_pillar: cfg.message_queue:x509:cert
    - mode: 440
    - user: manila
    - group: manila
    - makedirs: true
  {%- else %}
  file.exists:
    - name: {{ cert_file }}
  {%- endif %}

rabbitmq_manila_client_ssl_private_key:
  {%- if cfg.message_queue.x509.key is defined %}
  file.managed:
    - name: {{ key_file }}
    - contents_pillar: cfg.message_queue:x509:key
    - mode: 400
    - user: manila
    - group: manila
    - makedirs: true
  {%- else %}
  file.exists:
    - name: {{ key_file }}
  {%- endif %}

rabbitmq_manila_ssl_x509_set_user_and_group:
  file.managed:
    - names:
      - {{ ca_file }}
      - {{ cert_file }}
      - {{ key_file }}
    - user: manila
    - group: manila

  {% elif cfg.message_queue.get('ssl',{}).get('enabled',False) %}
rabbitmq_ca_manila_file:
  {%- if cfg.message_queue.ssl.cacert is defined %}
  file.managed:
    - name: {{ cfg.message_queue.ssl.cacert_file }}
    - contents_pillar: cfg.message_queue:ssl:cacert
    - mode: 0444
    - makedirs: true
  {%- else %}
  file.exists:
    - name: {{ cfg.message_queue.ssl.get('cacert_file', cfg.cacert_file) }}
  {%- endif %}

{%- endif %}
